Bug 233201 - Plasma does not allow ico files in filter for setting shortcut icon
Summary: Plasma does not allow ico files in filter for setting shortcut icon
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kiconthemes
Classification: Unclassified
Component: general (show other bugs)
Version: 5.47.0
Platform: Fedora RPMs Linux
: NOR normal
Target Milestone: ---
Assignee: Christoph Feck
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-04-03 21:42 UTC by Patrick Noffke
Modified: 2018-06-27 21:16 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.48


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Noffke 2010-04-03 21:42:53 UTC
Version:            (using KDE 4.4.1)
Compiler:          gcc-4.4.3-4.fc12.x86_64 
OS:                Linux
Installed from:    Fedora RPMs

I have a shortcut to a java application that I created on my desktop.  The application came with a .ico file for its icon.  Under Properties, I click on the icon, select Other icons -> Browse, and the Filter field does not include *.ico, or the ability to show all files.  However, if I type in the name of the .ico file that I know exists there, the icon is loaded and displays as I'd expect on the desktop.

An easy fix would be to add *.ico to the filter.  A better fix might be to use /usr/bin/file or some other way (besides file extension) to interrogate the file for determining whether it is an icon that can be displayed.

When I run file on this icon, I get this:

$ file HeroDesigner.ico 
HeroDesigner.ico: MS Windows icon resource - 1 icon
Comment 1 Rob Townley 2012-12-04 13:26:35 UTC
The website pbsKidsPlay.org uses .ICO as favicon.ico.
i created shortcuts to pbsKidsPlay.org under plasma so that the 2 year old can easily see where to click.  
It works under CentOS 6 Gnome, but not plasma.
Fails under CentOS 6 kdebase-4.3.4-5.el6 not plasma.
Comment 2 Nate Graham 2018-06-25 13:23:47 UTC
Patch available: https://phabricator.kde.org/D13718
Comment 3 Nate Graham 2018-06-27 21:15:49 UTC
Git commit 0131f8afe845f077e525a87e0b168f6600691fe6 by Nathaniel Graham.
Committed on 27/06/2018 at 21:15.
Pushed by ngraham into branch 'master'.

Support choosing .ico files in custom icon file chooser

Summary:
.ico files work fine, so we should allow them to be chosen in the custom icon file chooser dialog.
FIXED-IN: 5.48

Test Plan:
- Find a .ico file lying around, or turn a .png file into a .ico file using https://convertico.com/
- Typ to apply it to a folder in Dolphin
- You can select the .ico file in the dialog, and when applied, it appears correctly as a custom icon for the folder

Reviewers: #frameworks, cfeck

Reviewed By: cfeck

Subscribers: broulik, kde-frameworks-devel

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D13718

M  +2    -2    src/kicondialog.cpp

https://commits.kde.org/kiconthemes/0131f8afe845f077e525a87e0b168f6600691fe6
Comment 4 Nate Graham 2018-06-27 21:16:47 UTC
Rob, your 2 year-old is now 8, but hopefully this will still be useful. :)